.TH xmodpointer 0.1 "Release 6" "X Version 11"
.SH NAME
xmodpointer \- Change button mappings for a XInput device
.SH SYNOPSIS
.B xmodpointer
[
.B \-h
] | [
.B \-q
] [
.B device
[
.B map
]]
.SH DESCRIPTION
.TP
.B \-h
Give help.
.TP
.B \-q
Quiet operation.
.TP
.B device
Is the name of the XInput device to change.
.TP
.B map
Is the new buttonmap for this device.
            
.PP
If no device is given, xmodpointer prints the buttonmaps
of all devices it encounters.

If no map is given, xmodpointer prints the buttonmap
of the named device only.

.SH EXAMPLES
.TP
xmodpointer

This shows all button mappings for all (non-core) XInput devices.
.TP
xmodpointer wacom

This shows the button mapping for the wacom pointer only.
.TP
xmodpointer wacom 1 3 2 4

This swaps button 2 and 3 for the wacom pointer.

.SH BUGS
This code is alpha, so any old bug could be in here. 

.SH SEE ALSO
.I xsetmode
.I xsetpointer

.SH AUTHOR
Lyon Lemmens  (March 1998)
